Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface MethodType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  MethodTypeImpl

    public interface MethodType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `methodType` xsd type

Original Documentation:

The method element is used to specify attributes for one method or all
those matching a pattern startingstring*.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`java.lang.String` | `getTransactionTimeout()` Returns the `transaction-timeout` element
`java.lang.Boolean` | `isIdempotent()` Returns the `idempotent` element
`java.lang.Boolean` | `isReadOnly()` Returns the `read-only` element
`MethodType<T>` | `removeIdempotent()` Removes the `idempotent` element
`MethodType<T>` | `removeMethodName()` Removes the `method-name` element
`MethodType<T>` | `removeReadOnly()` Removes the `read-only` element
`MethodType<T>` | `removeTransactionTimeout()` Removes the `transaction-timeout` element
`MethodType<T>` | `setIdempotent(java.lang.Boolean idempotent)` If not already created, a new `idempotent` element with the given value will be created.
`MethodType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`MethodType<T>` | `setReadOnly(java.lang.Boolean readOnly)` If not already created, a new `read-only` element with the given value will be created.
`MethodType<T>` | `setTransactionTimeout(java.lang.String transactionTimeout)` If not already created, a new `transaction-timeout` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setMethodName

    MethodType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Returns:
    the current instance of `MethodType`

### removeMethodName

    MethodType<T> removeMethodName()

  Removes the `method-name` element

  Returns:
    the current instance of `MethodType`

### getMethodName

    java.lang.String getMethodName()

  Returns the `method-name` element

  Returns:
    the node defined for the element `method-name`

### setReadOnly

    MethodType<T> setReadOnly(java.lang.Boolean readOnly)

  If not already created, a new `read-only` element with the given value will be created. Otherwise, the existing `read-only` element will be updated with the given value.

  Returns:
    the current instance of `MethodType`

### removeReadOnly

    MethodType<T> removeReadOnly()

  Removes the `read-only` element

  Returns:
    the current instance of `MethodType`

### isReadOnly

    java.lang.Boolean isReadOnly()

  Returns the `read-only` element

  Returns:
    the node defined for the element `read-only`

### setIdempotent

    MethodType<T> setIdempotent(java.lang.Boolean idempotent)

  If not already created, a new `idempotent` element with the given value will be created. Otherwise, the existing `idempotent` element will be updated with the given value.

  Returns:
    the current instance of `MethodType`

### removeIdempotent

    MethodType<T> removeIdempotent()

  Removes the `idempotent` element

  Returns:
    the current instance of `MethodType`

### isIdempotent

    java.lang.Boolean isIdempotent()

  Returns the `idempotent` element

  Returns:
    the node defined for the element `idempotent`

### setTransactionTimeout

    MethodType<T> setTransactionTimeout(java.lang.String transactionTimeout)

  If not already created, a new `transaction-timeout` element with the given value will be created. Otherwise, the existing `transaction-timeout` element will be updated with the given value.

  Returns:
    the current instance of `MethodType`

### removeTransactionTimeout

    MethodType<T> removeTransactionTimeout()

  Removes the `transaction-timeout` element

  Returns:
    the current instance of `MethodType`

### getTransactionTimeout

    java.lang.String getTransactionTimeout()

  Returns the `transaction-timeout` element

  Returns:
    the node defined for the element `transaction-timeout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD